$! make gd under OpenVMS
$!
$! In case of problems with the install you might contact me at
$! zinser@decus.decus.de(preferred) or m.zinser@gsi.de
$!
$ Make = ""
$!
$! Check for MMK/MMS
$!
$ If F$Search ("Sys$System:MMS.EXE") .nes. "" Then Make = "MMS"
$ If F$Type (MMK) .eqs. "STRING" Then Make = "MMK"
$!
$! Look for the compiler used
$!
$ ccopt = "/NOLIST"
$ if f$getsyi("HW_MODEL").ge.1024
$ then
$  ccopt = "/prefix=all" + "''ccopt'"
$ else
$  if f$search("SYS$SYSTEM:DECC$COMPILER.EXE").nes.""
$   then
$    ccopt = "/DECC/prefix=all" + "''ccopt'"
$  endif
$ endif
$!
$! Build the thing plain or with mms/mmk
$!
$ write sys$output "Compiling GD sources ..."
$ if (Make.eqs."")
$  then
$   cc 'ccopt GD.C
$   cc 'ccopt GDFONTT.C
$   cc 'ccopt GDFONTS.C
$   cc 'ccopt GDFONTMB.C
$   cc 'ccopt GDFONTL.C
$   cc 'ccopt GDFONTG.C
$   lib/create libgd.olb gd.obj,gdfontt.obj,gdfonts.obj,gdfontmb.obj, -
      gdfontl.obj,gdfontg.obj
$   cc 'ccopt GDDEMO.C
$   link gddemo.obj,libgd.olb/lib
$   cc 'ccopt GIFTOGD.C
$   link giftogd.obj,libgd.olb/lib
$   cc 'ccopt WEBGIF.C
$   link webgif.obj,libgd.olb/lib,x11vms:xvmsutils.olb/lib
$  else
$   'Make' /macro="ccopt=''ccopt'"
$ endif
$ write sys$output "GD build completed"
$ exit
